navigator.getMedia = ( navigator.getUserMedia ||
                       navigator.webkitGetUserMedia ||
                       navigator.mozGetUserMedia ||
                       navigator.msGetUserMedia);

window.URL = window.URL || window.webkitURL;

var lib_getUserMedia={
    compat: function() {
        return navigator.getMedia?true:false;
    },
    get: function(video, func, funcError) {
        return navigator.getMedia (

            // constraints
            {
                video: true,
                audio: false
            },

            // successCallback
            function(localMediaStream) {                
                video.src = window.URL.createObjectURL(localMediaStream);                
                var timerUserMedia=setInterval(function(){                    
                    if(video.readyState==4){
                        clearInterval(timerUserMedia);
                        video.width=video.videoWidth,
                        video.height=video.videoHeight;
                        video.autoplay=true;
                        func(video);
                    }
                }, 100);
            },

            // errorCallback
            function(err) {
                funcError();
                console.log("The following error occured: " + err);
            }
        );
         
    }
    
};

