/*
 * spec.canvas_id : id du canvas
 */
var GL, CV, CAPTURER={started: false};
var DT=16; //timelapse in ms
var Contexte=(function() {
    return {
        instance: function(spec) {            
            document.getElementById("captureButton").onclick=function(e) {
                e.target.innerHTML=CAPTURER.started?"Start capture":"Stop capture";
                if (CAPTURER.started){ //arrete la capture                    
                    var output = CAPTURER.compile();
                    var href=(window.webkitURL || window.URL).createObjectURL(output); 
                    window.open(href);
                } else { //commence la capture
                    CAPTURER = new Whammy.Video(DT);
                    CAPTURER.started=false;                    
                }
                CAPTURER.started=!CAPTURER.started;                
            }
            var canvas=document.getElementById(spec.canvas_id);
            CV=canvas;
            try {
		GL = canvas.getContext("experimental-webgl", {antialias: true});
            } catch (e) {
		alert("Vous n'êtes pas compatibles webgl !") ;
                return false;
            } ;
            var filtres_dom=document.getElementById("filtres");
            var scene=Scene.instance({});
            var shaders=Shaders.instance({});
            var textureCouleur=Texture.instance({url: filtres_dom.value});
            var texture=Texture.instance({video: "video_id"});
            
            var video=document.getElementById("video_id");
            lib_getUserMedia.get(video,
                                 function(videoStream) {                                                                           

                                      var ecran=Quad.instance({texture: texture, textureCouleur:textureCouleur, ondraw: function(self){
                                              texture.refresh();
                                      }});
                                      filtres_dom.onchange=function(e) {
                                            textureCouleur=Texture.instance({url: e.target.value});
                                            ecran.set_textureCouleur(textureCouleur);
                                      }
                                      scene.add_objet(ecran);
                                      setInterval(scene.draw, DT);
                                  },
                                  function(error) {
                                      alert("Error: Use last version of Chrome with a computer with a webcam. Error : "+error);
                                  }
                );

            return true;
        }
    }
})();



